Package com.google.protobuf

## Class GeneratedMessageLite.ExtendableMessage.ExtensionWriter

- java.lang.Object
- - com.google.protobuf.GeneratedMessageLite.ExtendableMessage.ExtensionWriter

Enclosing class:
  GeneratedMessageLite.ExtendableMessage<MessageType extends GeneratedMessageLite.ExtendableMessage<MessageType>>

    protected class GeneratedMessageLite.ExtendableMessage.ExtensionWriter
    extends java.lang.Object

Used by subclasses to serialize extensions. Extension ranges may be interleaved with field numbers, but we must write them in canonical (sorted by field number) order. ExtensionWriter helps us write individual ranges of extensions at once.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeUntil​(int end, CodedOutputStream output)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeUntil

    public void writeUntil​(int end,
                           CodedOutputStream output)
                    throws java.io.IOException

Throws:
  `java.io.IOException`